Bug 812920 - yum does not need --nogpgcheck for installing unsigned package.
yum does not need --nogpgcheck for installing unsigned package.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum (Show other bugs)
6.2
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 10:55 EDT by Dimitar Yordanov
Modified: 2014-01-21 01:25 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-16 11:45:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Unsigned RPM (2.50 KB, application/octet-stream)
2012-04-16 10:56 EDT, Dimitar Yordanov
no flags Details

  None (edit)
Description Dimitar Yordanov 2012-04-16 10:55:30 EDT
Description of problem:
yum does not need --nogpgcheck for installing unsigned package.

Version-Release number of selected component (if applicable):
RHEL6.2
yum-3.2.29-22.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1.Copy the RPM attached to this BZ to an RHEL6.2 machine.
2. "cd" to the download folder.
3. Make sure gpgcheck is enabled

    # grep gpgcheck  /etc/yum.conf 
    gpgcheck=1

4. yum install -y test-regular-test_sw_system_snapshot_fri06apr2012_07_28_52_24962-0.1-1.x86_64.rpm
  
Actual results:
The package is installed.

Expected results:
Package test-regular-test_sw_system_snapshot_fri06apr2012_07_28_52_24962-0.1-1.x86_64.rpm is not signed


Additional info:
Comment 1 Dimitar Yordanov 2012-04-16 10:56:43 EDT
Created attachment 577737 [details]
Unsigned RPM
Comment 3 James Antill 2012-04-16 11:45:53 EDT
That's a local package, so it's controlled by:

              localpkg_gpgcheck  Either  `1' or `0'. This tells yum whether or
              not it should perform a GPG signature check  on  local  packages
              (packages in a file, not in a repositoy).  The default is `0'.
Comment 4 Dimitar Yordanov 2012-04-17 03:07:28 EDT
Hi James, 

  The problem is that RHEL5 (yum-3.2.22-39.el5) does not respect "localpkg_gpgcheck" and default behaviour for local packages is to check for gpg.
  This makes scripts that works just fine on RHEL5 to fail on RHEL6.

Dimi

Note You need to log in before you can comment on or make changes to this bug.